<div class="order-devlivery-wrap" *ngIf="orderDetails">
  
  <div class="fp-jeeni">
    <img src="assets/images/jeeni-order-sum.png">
  </div>

  <div class="order-del-header">
    <span>{{'labelOrderSuccessMsg1' | translate: lang}}</span>
    <h2>{{'labelOrderSuccessMsg2' | translate: lang}}</h2>
  </div>

  <div class="first-purchase" *ngIf="orderDetails && orderDetails.firstOrder">   
    <div class="fp-msg">
        <h3>{{'CONGRATS' | translate: lang}}! </h3>
        <h4>{{'FIRST_ORDER_MESSAGE' | translate: lang}}</h4>
    </div>
           
  </div>

  <div class="order-delivery-bg">
    <div class="row">
      <div class="col-md-4">
        <h6>{{'labelSummary' | translate: lang}}</h6>
        <mat-list role="list">
            <mat-list-item role="listitem">{{'labelOrderDate' | translate: lang}}<span>: {{orderDetails.orderDetails[0].masterOrderDate | customDate}}</span></mat-list-item>
            <mat-list-item role="listitem">{{'labelOrderTotal' | translate: lang}} <span>:{{orderDetails.orderDetails[0].masterOrderTotal | customCurrencyFormat}}</span></mat-list-item>
          </mat-list>
        </div>
        <div class="col-md-4">
          <h6>{{'headingShippingAddress' | translate: lang}}</h6>
            <address>
                {{orderDetails.shippingAddress[0].addressOne}}, <sup></sup> {{orderDetails.shippingAddress[0].addressTwo ? (orderDetails.shippingAddress[0].addressTwo + ',') : ''}}<br>
                {{orderDetails.shippingAddress[0].townVillageName}}, {{orderDetails.shippingAddress[0].stateName}}<br>
                {{orderDetails.shippingAddress[0].countryName}} - {{orderDetails.shippingAddress[0].zipCode}}.
            </address>
        </div>
        
        <div class="col-md-4">
          <h6>{{'headingBillingAddress' | translate: lang}}</h6>
          <address>
            {{orderDetails.billingAddress[0].addressOne}}, <sup></sup> {{orderDetails.billingAddress[0].addressTwo ? (orderDetails.billingAddress[0].addressTwo + ',') : ''}}<br>
            {{orderDetails.billingAddress[0].townVillageName}}, {{orderDetails.billingAddress[0].stateName}}<br>
            {{orderDetails.billingAddress[0].countryName}} - {{orderDetails.billingAddress[0].zipCode}}.
        </address>
        </div>
      </div>

      <div class="row order-list">
        <div class="order-prod col-md-12" *ngFor="let product of orderDetails.productDetails">
          <div class="row pb-3">          
              <div class="col-md-4"><b>{{'labelOrderNumber' | translate: lang}}: {{product.orderNo}}</b></div> 
              <div class="col-md-4"><b>{{'labelOrderTotal' | translate: lang}}: {{product.orderTotal | customCurrencyFormat}}</b></div> 
              <div class="col-md-4"><b>{{'labelCompanyName' | translate: lang}}: {{product.companyName}}</b></div>          
          </div>
            
            <div class="row" *ngFor="let detail of product.productDetails">
              <div class="col-md-12">
                <b>{{'labelProductName' | translate: lang}}:</b> {{detail.productName}}
              </div>
              <div class="col-md-12">
                  <b>{{'labelQuantity' | translate: lang}}:</b> {{detail.quantity}}
              </div>
              <div class="col-md-12" *ngFor="let attribute of detail.productAttributes">
                 <b>{{attribute.optionName}} : </b>{{attribute.optionValueName}}
              </div>
              <hr>
            </div>
        </div>
      </div>
    </div>
    <div class="order-del-footer">
      <div class="footer-txt">{{'labelOrderSuccessMsg3' | translate: lang}}</div>
      <div class="showmore-wrap">
          <button (click)="continueShopping()" mat-raised-button color="primary">{{'buttonContinueShopping' | translate: lang}}</button>
      </div>
    </div>

  </div>
